Subject: Re: [DNA] Re: Flash renumbering

From: Greg Daley <[email-masked]>
Date: Wed, 27 Jul 2005 15:02:22 -0400

Hi Sathya, 

----- Original Message -----
[cut]
> >
> > But what would we do in the case when all the prefixes don't fit in
> > one RA hence the complete bit can not be set?
> 
> I know this is always an issue. But, isn't it a general problem about
> CompleteRA which we need to think about either way?
> 
> I don't remember why we decided to remove the #prefixes field from the
> DNAO.  I thought most of us felt that this field will help out with
> being able to send the prefixes in two or more RA if they don't 
> fit in a
> single RA.
> 
> So, let me bring #prefixes back instead of the complete bit, here is
> what I propose when the prefixes don't fit in one RA:
> 1) Divide the prefixes into groups with atleast one common prefix so
> that each group will fit in a single RA.
> 2) Set the #prefixes field in the DNAO to the total number of prefixes
> (The semantics for this is "This is the number of prefixes on the link
> *I* know of").

The number of prefixes isn't useful, and may be misleading,
if prefixes are substituted 1 for 1 on a link.

The messages will occur with time in between them.
So it may not be possible to distinguish exactly that the
RAs in one set unioned with those in another constitute
all the prefixes on the link, at the time of the second
advertisement.  (This approximation is OK for CPL, which
has a timeout on prefixes, but it isn't exact in this case,
and there's no inferred completeness from the numbers of
prefixes provided).

The numbers of prefixes we're discussing here are quite
large:

For RAs with 500 octets remaining for advertisement, 
if PIOs are transmitted in this space, 15 PIOs will fit.
If PIOs are outnumbered by LPIOs 1:5, then 4 PIOs and
20 LPIOs will fit into the RA.

So changing the operations of DNA for such large numbers
of prefixes seems unnecessary, especially if there is 
prefix overlap, since CPL is available.
It may be possible to suggest that a common prefix is sent
in the RAs (I thought we already did that in DNA Routers
though).

Later if there are likely to be large numbers of prefixes
on a link, it may be possible to write another document,
which provides better performance in those cases.

I don't really think this is necessary though.

Greg